# Pand☮ra

Pand☮ra's Box: Sydb☮x's Dump Inspector & Profile Writer

## Example: Sandbox Firefox

Step 1: Inspect and gather data about the given process.

In this case, we're going to try with
[https://www.mozilla.org/de/firefox/new/](Firefox).

```
$ pandora profile firefox
```

Browse using firefox for a while, let pandora gather data. The browser is running
under a tracer so it'll run noticably slower.

- use --bin /path/to/syd, if syd is not in PATH
- use --output firefox.syd-3 to specify an alternative output path for profile.

```
$ $EDITOR out.syd-3
```

Inspect what the browser has been doing.
Enable, disable additional options or turn paths into wildcards such as
`/home/***` to allow home and everything beyond /home
the usual glob characters, `?, *` are supported.

Check [SydB☮x README](https://crates.io/crates/syd#pattern-matching) to
learn more on how **PATTERN MATCHING** works.

Enable, disable additional network addresses unless you're using a **SOCKS5 proxy**
which does remote DNS lookups, e.g:

***allow/net/connect+127.0.0.1!9050***

for [Tor](https://www.torproject.org/).

Check [SydB☮x README](https://crates.io/crates/syd#address-matching) to
learn more on how **ADDRESS MATCHING** works.

```
$ syd -f out.syd-3 firefox
```

- Run the browser under secure computing with full protection.
- Check the console (or syslog) for possible access violations over time.
- Edit the profile file as necessary and update restrictions.

# Documentation

Read the fine manual of [SydB☮x](https://sydbox.exherbolinux.org).

# Blog Posts

* [Sydb☮x: Stop Skype P2P/Call Home: People Have The Right To Communicate W\o Eavesdropping](https://tinyurl.com/sydbox-stop-skype-call-home)
* [Recent Linux Changes Help Safe & Secure w\o Root](https://tinyurl.com/recent-linux-changes-help-safe)
* [A Study in Sydb☮x](https://tinyurl.com/a-study-in-sydbox)
* [Pink's Tracing Library](https://tinyurl.com/pink-s-tracing-library)
* [Sydb☮x Logo Survey](https://tinyurl.com/sydbox-logo-survey)
* [Sydb☮x: Default Sandbox of Exherbo](https://tinyurl.com/sydbox-default-sandbox-exherbo)
* [Disabling External Commands in Metadata Phase (Exherbo&gt;Gentoo)](https://tinyurl.com/no-commands-in-metadata-phase)
* [ptrace on IA64](https://tinyurl.com/ptrace-on-ia64)
* [Network Sandboxing and /proc (Exherbo&gt;Gentoo)](https://tinyurl.com/network-sandboxing-and-proc)
* [ptrace on FreeBSD](https://tinyurl.com/ptrace-on-freebsd)
* [Running Untrusted Binaries that Access the Network](https://tinyurl.com/running-untrusted-binaries)
* [Proper Network Sandboxing (Exherbo&gt;Gentoo)](https://tinyurl.com/proper-network-sandboxing)
* [Deprecating addpredict (Exherbo&gt;Gentoo)](https://tinyurl.com/deprecating-addpredict-gentoo)

<!-- vim: set tw=80 ft=markdown spell spelllang=en sw=4 sts=4 et : -->
